View Issue Details

IDProjectCategoryView StatusLast Update
0003233Slicer4Module ModelToLabelMappublic2017-06-10 08:51
ReportermariannaAssigned Tonicole 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSLinuxOS VersionFedora 18
Product VersionSlicer 4.2.0 
Target VersionSlicer 4.3.0Fixed in VersionSlicer 4.3.0 
Summary0003233: Model to Label Map label value hard coded to 255
Description

asking for the label value to be exposed as an argument to the CLI

TagsNo tags attached.

Activities

nicole

nicole

2013-07-18 12:47

administrator   ~0009132

svn 22211 exposes the label value.
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22211

jcfr

jcfr

2014-03-06 04:56

administrator   ~0010809

Closing resolved issues that have not been updated in more than 3 months

nicole

nicole

2016-05-11 16:37

administrator   ~0013873

Bug reported that the user selected label map values weren't working properly, patch pull request is here:
https://github.com/Slicer/Slicer/pull/492

nicole

nicole

2016-05-13 13:48

administrator   ~0013874

Patch in svn 25062:
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=25062

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file 34d9af1f

2013-07-18 16:46:51

naucoin

Details Diff
ENH: expose the label value for the model to label map CLI

Updated the documentation link and updated the wiki pages to
include the new parameter.

Resolves issue 0003233



git-svn-id: http://svn.slicer.org/Slicer4/trunk@22211 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/CLI/ModelToLabelMap/ModelToLabelMap.cxx Diff File
mod - Modules/CLI/ModelToLabelMap/ModelToLabelMap.xml Diff File

Slicer: 2145-support-for-installing-extension-from-file 5592f229

2013-07-19 17:54:00

naucoin

Details Diff
STYLE: update Model to Label Map xml file docs

More testing showed that the output volume will always be cast
to unsigned char, so limit the label value to 0-255 and
give the user some hints about good models to use.

Issue 0003233



git-svn-id: http://svn.slicer.org/Slicer4/trunk@22218 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/CLI/ModelToLabelMap/ModelToLabelMap.xml Diff File

Import 2017-06-07 23:51:09: master 8707bb9e

2016-05-13 13:47:09

naucoin

Details Diff
BUG: Enable use of labelValue for output label map

A bug was introduced in svn 22211 [1] when the labelValue parameter in the ModelToLabelMap CLI was exposed to the interface.
The erosion and dilation filters used in the code are binary ones and by default use the maximum of the data type of the label
map, in this case hard coded to 255 for unsigned char. In order to do the full pipeline with the user selected label value, the
code would need to be updated to use:
erodeFilter->SetErodeValue(labelValue);
dilateFilter->SetDilateValue(labelValue);
A quicker fix is to adjust the output label map in the last step to set the desired label value, implemented in this patch.

Investigating this issue, the hard coded kernel size was set into a variable, in anticipation of exposing it via the XML
(quick tests showed no visible difference).

Added a test and output using the label value 128. When run from the GUI, the model and volume were offset, so a transformed model
was generated that overlaps the input volume and was used to generate the new baseline comparison volume.
Removed unused baseline image.

[1] http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22211

Issue 0003233

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25062 3bd1e089-480b-0410-8dfb-8563597acbee
add - Modules/CLI/ModelToLabelMap/Data/Baseline/OAS10001-128.mha Diff File
rm - Modules/CLI/ModelToLabelMap/Data/Baseline/OAS10001.1.mha Diff File
add - Modules/CLI/ModelToLabelMap/Data/Input/OAS10001-Transformed.vtp Diff File
mod - Modules/CLI/ModelToLabelMap/ModelToLabelMap.cxx Diff File
mod - Modules/CLI/ModelToLabelMap/Testing/CMakeLists.txt Diff File

Import 2017-06-07 23:51:09: master e3637ad5

2016-05-19 10:41:35

naucoin

Details Diff
BUG: fix failing ModelToLabelMapTest

When putting in a fix for using the passed in label value, the baseline file
OAS10001.1.mha was removed as it didn't seem to be in use any more. A closer
examination of the ctest output showed that that file was being
picked up as the baseline image when the test was passing as of May 11/16:
http://slicer.cdash.org/testDetails.php?test=7318110&build=825978
BaselineImageName OAS10001.1.mha

With the last change[1], the test is failing:
http://slicer.cdash.org/testDetails.php?test=7329855&build=828864
BaselineImageName OAS10001.mha

Local testing shows that the test would pass if the file OAS10001.1.mha was
reinstated, but to avoid confusion going forward as to how ctest globs
the baseline image files, I decided to go with testing the CLI with the
same input model (transformed to overlap the input image volume when both
are loaded in Slicer) for both the 255 and 128 output label cases, and to generate a
new output baseline image. I removed the untransformed model file and the now unused
baseline image and, locally, ctest is comparing the outputs of both tests against
teh correct baselines.

[1] https://github.com/Slicer/Slicer/commit/8707bb9ed2503f67ac0af29782c16db97adeab40

Reported-by: Andras Lasso <lasso@queensu.ca>

Issue 0003233

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25091 3bd1e089-480b-0410-8dfb-8563597acbee
add - Modules/CLI/ModelToLabelMap/Data/Baseline/OAS10001-255.mha Diff File
rm - Modules/CLI/ModelToLabelMap/Data/Baseline/OAS10001.mha Diff File
rm - Modules/CLI/ModelToLabelMap/Data/Input/OAS10001.vtp Diff File
mod - Modules/CLI/ModelToLabelMap/Testing/CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2013-07-18 12:03 marianna New Issue
2013-07-18 12:16 nicole Status new => assigned
2013-07-18 12:16 nicole Assigned To => nicole
2013-07-18 12:17 nicole Summary label value hard coded to 255 => Model to Label Map label value hard coded to 255
2013-07-18 12:45 nicole Priority normal => high
2013-07-18 12:45 nicole Target Version => Slicer 4.3.0
2013-07-18 12:47 nicole Note Added: 0009132
2013-07-18 12:47 nicole Status assigned => resolved
2013-07-18 12:47 nicole Fixed in Version => Slicer 4.3.0
2013-07-18 12:47 nicole Resolution open => fixed
2014-03-06 04:56 jcfr Note Added: 0010809
2014-03-06 04:58 jcfr Status resolved => closed
2016-05-11 16:37 nicole Note Added: 0013873
2016-05-13 13:48 nicole Note Added: 0013874
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file 5592f229
2017-06-07 23:27 Changeset attached => Slicer 2145-support-for-installing-extension-from-file 34d9af1f
2017-06-10 08:51 Changeset attached => Slicer master e3637ad5
2017-06-10 08:51 Changeset attached => Slicer master 8707bb9e